### GET /calendar/{connection_id}/recording Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/recording ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **event_id** (string, query, optional): The event ID to filter by (reference to CalendarEvent) - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **fields** (array (string (id|created_at|updated_at|start_at|end_at|expires_at|event_id|web_url|media|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarRecordings** - Array of CalendarRecording ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/recording?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&event_id=string&start_gte=string&end_lt=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/recording/{id} Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/recording/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|start_at|end_at|expires_at|event_id|web_url|media|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Recording ### Responses #### 200 - Successful **CalendarRecording** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **expires_at** (string (date-time)) - **event_id** (string) - **web_url** (string) - **media** (array (CalendarRecordingMedia)) Array items: - **attendees** (array (CalendarAttendee)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **language** (string) - **transcripts** (array (CalendarRecordingTranscript)) Array items: - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **text** (string) (required) - **attendee** (object) - **language** (string) - **transcript_download_url** (string) - **recording_download_url** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/recording/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/calendar/{id} Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/calendar/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|timezone|is_primary|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Calendar ### Responses #### 200 - Successful **CalendarCalendar** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **timezone** (string) - **is_primary** (boolean) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/calendar/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/webinar Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/webinar ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **fields** (array (string (id|created_at|updated_at|calendar_id|subject|start_at|end_at|timezone|notes|status|organizer|join_url|web_url|panelists|registrants|panelist_password|registrant_password|conference|recurrence|capacity|is_webcast|is_enabled|is_auto_approve|require_first_name|require_last_name|require_email|require_company|require_job_title|require_address|require_phone|has_qa|has_polls|has_recording|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarWebinars** - Array of CalendarWebinar ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/webinar?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&start_gte=string&end_lt=string&user_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/link Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/link ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|url|duration|description|is_active|price_amount|price_currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarLinks** - Array of CalendarLink ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/link?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/webinar/{id} Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/webinar/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|calendar_id|subject|start_at|end_at|timezone|notes|status|organizer|join_url|web_url|panelists|registrants|panelist_password|registrant_password|conference|recurrence|capacity|is_webcast|is_enabled|is_auto_approve|require_first_name|require_last_name|require_email|require_company|require_job_title|require_address|require_phone|has_qa|has_polls|has_recording|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Webinar ### Responses #### 200 - Successful **CalendarWebinar** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **calendar_id** (string) - **subject** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **timezone** (string) - **notes** (string) - **status** (string (CANCELED|CONFIRMED|TENTATIVE)) ("CANCELED"|"CONFIRMED"|"TENTATIVE") - **organizer** (object) - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **join_url** (string) - **web_url** (string) - **panelists** (array (CalendarWebinarPanelist)) Array items: - **email** (string) - **name** (string) - **is_required** (boolean) - **join_url** (string) - **join_password** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **registrants** (array (CalendarWebinarRegistrant)) Array items: - **email** (string) - **name** (string) - **registration_reference** (string) - **registration_status** (string (PENDING|APPROVED|REJECTED|CANCELLED)) ("PENDING"|"APPROVED"|"REJECTED"|"CANCELLED") - **registered_at** (string (date-time)) - **panelist_password** (string) - **registrant_password** (string) - **conference** (array (CalendarConference)) Array items: - **conference_identifier** (string) - **url** (string) - **label** (string) - **telephone** (string) - **participant_access_code** (string) - **host_access_code** (string) - **notes** (string) - **country_code** (string) - **region_code** (string) - **recurrence** (array (CalendarEventRecurrence)) Array items: - **frequency** (string (DAILY|WEEKLY|MONTHLY|YEARLY)) ("DAILY"|"WEEKLY"|"MONTHLY"|"YEARLY") - **interval** (number) - **count** (number) - **end_at** (string (date-time)) - **on_days** (array (string (SU|MO|TU|WE|TH|FR|SA))): days of the week to repeat on, defaults to undefined (every day), only used if frequency is WEEKLY - **on_months** (array (number)): months of the year to repeat on, defaults to undefined (every month), only used if frequency is YEARLY, January is 1 - **on_month_days** (array (number)): days of the month to repeat on, defaults to undefined (every day), only used if frequency is MONTHLY - **on_weeks** (array (number)): week ordinals for BYDAY (e.g., -1 for last, -2 for second-to-last, 1 for first, 2 for second), only used with on_days. 0 is used for days without week ordinals. - **on_year_days** (array (number)): days of the year to repeat on, defaults to undefined (every day), only used if frequency is YEARLY - **week_start** (string (SU|MO|TU|WE|TH|FR|SA)) ("SU"|"MO"|"TU"|"WE"|"TH"|"FR"|"SA") - **excluded_dates** (array (string)): dates to exclude from the recurrence, defaults to undefined (no exclusions) - **included_dates** (array (string)): dates to include in the recurrence, defaults to undefined (no inclusions) - **timezone** (string) - **capacity** (number) - **is_webcast** (boolean) - **is_enabled** (boolean) - **is_auto_approve** (boolean) - **require_first_name** (boolean) - **require_last_name** (boolean) - **require_email** (boolean) - **require_company** (boolean) - **require_job_title** (boolean) - **require_address** (boolean) - **require_phone** (boolean) - **has_qa** (boolean) - **has_polls** (boolean) - **has_recording** (boolean) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/webinar/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/calendar Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/calendar ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|name|description|timezone|is_primary|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarCalendars** - Array of CalendarCalendar ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/calendar?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/link/{id} Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/link/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|url|duration|description|is_active|price_amount|price_currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Link ### Responses #### 200 - Successful **CalendarLink** - **id** (string) - **created_at** (string) - **updated_at** (string) - **name** (string) - **url** (string) (required) - **duration** (number) - **description** (string) - **is_active** (boolean) - **price_amount** (number) - **price_currency** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/link/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/event Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/event ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **calendar_id** (string, query, optional): The calendar ID to filter by (reference to CalendarCalendar) - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **expand** (boolean, query, optional): Whether to flatten grouped or recurring items into individual entries. - **fields** (array (string (id|created_at|updated_at|calendar_id|subject|start_at|end_at|is_all_day|timezone|notes|location|is_free|is_private|status|organizer|attendees|recurring_event_id|recurrence|web_url|has_conference|conference|attachments|send_notifications|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarEvents** - Array of CalendarEvent ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/event?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&calendar_id=string&start_gte=string&end_lt=string&expand=true&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/event/{id} Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/event/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|calendar_id|subject|start_at|end_at|is_all_day|timezone|notes|location|is_free|is_private|status|organizer|attendees|recurring_event_id|recurrence|web_url|has_conference|conference|attachments|send_notifications|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Event ### Responses #### 200 - Successful **CalendarEvent** - **id** (string) - **created_at** (string) - **updated_at** (string) - **calendar_id** (string) - **subject** (string) - **start_at** (string) - **end_at** (string) - **is_all_day** (boolean) - **timezone** (string) - **notes** (string) - **location** (string) - **is_free** (boolean) - **is_private** (boolean) - **status** (string (CANCELED|CONFIRMED|TENTATIVE)) ("CANCELED"|"CONFIRMED"|"TENTATIVE") - **organizer** (object) - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **attendees** (array (CalendarAttendee)) Array items: - **recurring_event_id** (string) - **recurrence** (array (CalendarEventRecurrence)) Array items: - **frequency** (string (DAILY|WEEKLY|MONTHLY|YEARLY)) ("DAILY"|"WEEKLY"|"MONTHLY"|"YEARLY") - **interval** (number) - **count** (number) - **end_at** (string (date-time)) - **on_days** (array (string (SU|MO|TU|WE|TH|FR|SA))): days of the week to repeat on, defaults to undefined (every day), only used if frequency is WEEKLY - **on_months** (array (number)): months of the year to repeat on, defaults to undefined (every month), only used if frequency is YEARLY, January is 1 - **on_month_days** (array (number)): days of the month to repeat on, defaults to undefined (every day), only used if frequency is MONTHLY - **on_weeks** (array (number)): week ordinals for BYDAY (e.g., -1 for last, -2 for second-to-last, 1 for first, 2 for second), only used with on_days. 0 is used for days without week ordinals. - **on_year_days** (array (number)): days of the year to repeat on, defaults to undefined (every day), only used if frequency is YEARLY - **week_start** (string (SU|MO|TU|WE|TH|FR|SA)) ("SU"|"MO"|"TU"|"WE"|"TH"|"FR"|"SA") - **excluded_dates** (array (string)): dates to exclude from the recurrence, defaults to undefined (no exclusions) - **included_dates** (array (string)): dates to include in the recurrence, defaults to undefined (no inclusions) - **timezone** (string) - **web_url** (string) - **has_conference** (boolean) - **conference** (array (CalendarConference)) Array items: - **conference_identifier** (string) - **url** (string) - **label** (string) - **telephone** (string) - **participant_access_code** (string) - **host_access_code** (string) - **notes** (string) - **country_code** (string) - **region_code** (string) - **attachments** (array (CalendarAttachment)) Array items: - **id** (string) - **name** (string) - **mime_type** (string) - **download_url** (string) - **send_notifications** (boolean) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/event/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /calendar/{connection_id}/busy Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for GET /calendar/{connection_id}/busy ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **calendar_id** (string, query, optional): The calendar ID to filter by (reference to CalendarCalendar) - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **fields** (array (string (id|start_at|end_at|timezone|description|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CalendarBusies** - Array of CalendarBusy ### Example Usage ```bash curl -X GET "https://api.unified.to/calendar/{connection_id}/busy?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&calendar_id=string&start_gte=string&end_lt=string&user_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### API Overview: Unified.to CALENDAR API Source: https://api.unified.to/docs/openapi-calendar.json One API to Rule Them All ```yaml # Unified.to CALENDAR API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### Schema: CalendarRecordingMedia Source: https://api.unified.to/docs/openapi-calendar.json Schema definition for CalendarRecordingMedia ```markdown ## Schema: CalendarRecordingMedia Schema definition for CalendarRecordingMedia **Type:** object - **attendees** (array (CalendarAttendee)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **language** (string) - **transcripts** (array (CalendarRecordingTranscript)) Array items: - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **text** (string) (required) - **attendee** (object) - **language** (string) - **transcript_download_url** (string) - **recording_download_url** (string) ``` -------------------------------- ### POST /calendar/{connection_id}/webinar Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for POST /calendar/{connection_id}/webinar ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|calendar_id|subject|start_at|end_at|timezone|notes|status|organizer|join_url|web_url|panelists|registrants|panelist_password|registrant_password|conference|recurrence|capacity|is_webcast|is_enabled|is_auto_approve|require_first_name|require_last_name|require_email|require_company|require_job_title|require_address|require_phone|has_qa|has_polls|has_recording|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **calendar_id** (string) - **subject** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **timezone** (string) - **notes** (string) - **status** (string (CANCELED|CONFIRMED|TENTATIVE)) ("CANCELED"|"CONFIRMED"|"TENTATIVE") - **organizer** (object) - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **join_url** (string) - **web_url** (string) - **panelists** (array (CalendarWebinarPanelist)) Array items: - **email** (string) - **name** (string) - **is_required** (boolean) - **join_url** (string) - **join_password** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **registrants** (array (CalendarWebinarRegistrant)) Array items: - **email** (string) - **name** (string) - **registration_reference** (string) - **registration_status** (string (PENDING|APPROVED|REJECTED|CANCELLED)) ("PENDING"|"APPROVED"|"REJECTED"|"CANCELLED") - **registered_at** (string (date-time)) - **panelist_password** (string) - **registrant_password** (string) - **conference** (array (CalendarConference)) Array items: - **conference_identifier** (string) - **url** (string) - **label** (string) - **telephone** (string) - **participant_access_code** (string) - **host_access_code** (string) - **notes** (string) - **country_code** (string) - **region_code** (string) - **recurrence** (array (CalendarEventRecurrence)) Array items: - **frequency** (string (DAILY|WEEKLY|MONTHLY|YEARLY)) ("DAILY"|"WEEKLY"|"MONTHLY"|"YEARLY") - **interval** (number) - **count** (number) - **end_at** (string (date-time)) - **on_days** (array (string (SU|MO|TU|WE|TH|FR|SA))): days of the week to repeat on, defaults to undefined (every day), only used if frequency is WEEKLY - **on_months** (array (number)): months of the year to repeat on, defaults to undefined (every month), only used if frequency is YEARLY, January is 1 - **on_month_days** (array (number)): days of the month to repeat on, defaults to undefined (every day), only used if frequency is MONTHLY - **on_weeks** (array (number)): week ordinals for BYDAY (e.g., -1 for last, -2 for second-to-last, 1 for first, 2 for second), only used with on_days. 0 is used for days without week ordinals. - **on_year_days** (array (number)): days of the year to repeat on, defaults to undefined (every day), only used if frequency is YEARLY - **week_start** (string (SU|MO|TU|WE|TH|FR|SA)) ("SU"|"MO"|"TU"|"WE"|"TH"|"FR"|"SA") - **excluded_dates** (array (string)): dates to exclude from the recurrence, defaults to undefined (no exclusions) - **included_dates** (array (string)): dates to include in the recurrence, defaults to undefined (no inclusions) - **timezone** (string) - **capacity** (number) - **is_webcast** (boolean) - **is_enabled** (boolean) - **is_auto_approve** (boolean) - **require_first_name** (boolean) - **require_last_name** (boolean) - **require_email** (boolean) - **require_company** (boolean) - **require_job_title** (boolean) - **require_address** (boolean) - **require_phone** (boolean) - **has_qa** (boolean) - **has_polls** (boolean) - **has_recording** (boolean) - **raw** (object) ### Responses #### 200 - Successful **CalendarWebinar** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **calendar_id** (string) - **subject** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **timezone** (string) - **notes** (string) - **status** (string (CANCELED|CONFIRMED|TENTATIVE)) ("CANCELED"|"CONFIRMED"|"TENTATIVE") - **organizer** (object) - **user_id** (string) - **email** (string) - **name** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **required** (boolean) - **is_cohost** (boolean) - **join_url** (string) - **web_url** (string) - **panelists** (array (CalendarWebinarPanelist)) Array items: - **email** (string) - **name** (string) - **is_required** (boolean) - **join_url** (string) - **join_password** (string) - **status** (string (ACCEPTED|REJECTED|TENTATIVE)) ("ACCEPTED"|"REJECTED"|"TENTATIVE") - **registrants** (array (CalendarWebinarRegistrant)) Array items: - **email** (string) - **name** (string) - **registration_reference** (string) - **registration_status** (string (PENDING|APPROVED|REJECTED|CANCELLED)) ("PENDING"|"APPROVED"|"REJECTED"|"CANCELLED") - **registered_at** (string (date-time)) - **panelist_password** (string) - **registrant_password** (string) - **conference** (array (CalendarConference)) Array items: - **conference_identifier** (string) - **url** (string) - **label** (string) - **telephone** (string) - **participant_access_code** (string) - **host_access_code** (string) - **notes** (string) - **country_code** (string) - **region_code** (string) - **recurrence** (array (CalendarEventRecurrence)) Array items: - **frequency** (string (DAILY|WEEKLY|MONTHLY|YEARLY)) ("DAILY"|"WEEKLY"|"MONTHLY"|"YEARLY") - **interval** (number) - **count** (number) - **end_at** (string (date-time)) - **on_days** (array (string (SU|MO|TU|WE|TH|FR|SA))): days of the week to repeat on, defaults to undefined (every day), only used if frequency is WEEKLY - **on_months** (array (number)): months of the year to repeat on, defaults to undefined (every month), only used if frequency is YEARLY, January is 1 - **on_month_days** (array (number)): days of the month to repeat on, defaults to undefined (every day), only used if frequency is MONTHLY - **on_weeks** (array (number)): week ordinals for BYDAY (e.g., -1 for last, -2 for second-to-last, 1 for first, 2 for second), only used with on_days. 0 is used for days without week ordinals. - **on_year_days** (array (number)): days of the year to repeat on, defaults to undefined (every day), only used if frequency is YEARLY - **week_start** (string (SU|MO|TU|WE|TH|FR|SA)) ("SU"|"MO"|"TU"|"WE"|"TH"|"FR"|"SA") - **excluded_dates** (array (string)): dates to exclude from the recurrence, defaults to undefined (no exclusions) - **included_dates** (array (string)): dates to include in the recurrence, defaults to undefined (no inclusions) - **timezone** (string) - **capacity** (number) - **is_webcast** (boolean) - **is_enabled** (boolean) - **is_auto_approve** (boolean) - **require_first_name** (boolean) - **require_last_name** (boolean) - **require_email** (boolean) - **require_company** (boolean) - **require_job_title** (boolean) - **require_address** (boolean) - **require_phone** (boolean) - **has_qa** (boolean) - **has_polls** (boolean) - **has_recording** (boolean) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/calendar/{connection_id}/webinar?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "calendar_id": "string", "subject": "string", "start_at": "2023-01-01T00:00:00Z", "end_at": "2023-01-01T00:00:00Z", "timezone": "string", "notes": "string", "status": "CANCELED", "organizer": "value", "join_url": "string", "web_url": "string", "panelists": "value", "registrants": "value", "panelist_password": "string", "registrant_password": "string", "conference": "value", "recurrence": "value", "capacity": "0", "is_webcast": "true", "is_enabled": "true", "is_auto_approve": "true", "require_first_name": "true", "require_last_name": "true", "require_email": "true", "require_company": "true", "require_job_title": "true", "require_address": "true", "require_phone": "true", "has_qa": "true", "has_polls": "true", "has_recording": "true", "raw": "value" }' ``` ``` -------------------------------- ### POST /calendar/{connection_id}/link Source: https://api.unified.to/docs/openapi-calendar.json API endpoint for POST /calendar/{connection_id}/link ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|url|duration|description|is_active|price_amount|price_currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string) - **updated_at** (string) - **name** (string) - **url** (string) (required) - **duration** (number) - **description** (string) - **is_active** (boolean) - **price_amount** (number) - **price_currency** (string) - **raw** (object) ### Responses #### 200 - Successful **CalendarLink** - **id** (string) - **created_at** (string) - **updated_at** (string) - **name** (string) - **url** (string) (required) - **duration** (number) - **description** (string) - **is_active** (boolean) - **price_amount** (number) - **price_currency** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/calendar/{connection_id}/link?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "string", "updated_at": "string", "name": "string", "url": "string", "duration": "0", "description": "string", "is_active": "true", "price_amount": "0", "price_currency": "string", "raw": "value" }' ``` ```